# Introduction

3Q Video Player (js3q) is a powerful, modular video player. It features a flexible and comprehensive API that enables easy integration and customisation for a wide range of use cases.

The player supports modern streaming standards such as HLS and MPEG-DASH, offers adaptive bitrate streaming (ABR) for optimal playback quality, and provides comprehensive support for live and on-demand content. In addition, the js3q player can be seamlessly integrated into existing websites, CMS or OTT systems and can be visually adapted to your own corporate design using CSS or configuration parameters.

Other core features include advertising integration (VAST/VPAID/VMAP), analytics support, multilingualism, accessibility and GDPR-compliant use. Thanks to its modular architecture, js3q is suitable for both simple video integrations and complex enterprise streaming scenarios.

{% embed url="<https://playout.3qsdn.com/embed/95ea8442-c3aa-43a3-bfdd-c93f35c6242a>" %}

### Demo <a href="#page_demo" id="page_demo"></a>

<https://player.3qsdn.com/> (Latest)

[https://player-glass.3qsdn.com](https://player-glass.3qsdn.com/) (Glass, Upcoming versions)

### Versioning <a href="#page_versioning" id="page_versioning"></a>

To ensure that your player is always up to date, with the latest features and bug fixes, we recommend always using the latest player version: <https://player.3qsdn.com/js3q.latest.js>. If you wish to use a fixed player version, you may do so by including the specific player version in the path. For example, to access player version 5.4.1:

```
<script src="https://player.3qsdn.com/js3q.5.4.1.js"></script>
```

If you are using a fixed player version, please update the version regularly. By using a fixed version you will not benefit from regular bug fixes. In addition, previous player versions are only guaranteed to be available for 6 months after release. After that point the latest player version will be returned.

**Warning:** Very rarely breaking changes will be made in the player which necessitate an update of the player version. In these cases, the breaking change will be announced in advance on our [Status page.](https://www.3q-status.com/)

### Compatibility <a href="#page_compatibility" id="page_compatibility"></a>

<table><thead><tr><th width="247.46875">Browser</th><th>Supported versions</th></tr></thead><tbody><tr><td>Chrome</td><td>- Always the latest 3 Versions<br>- Chrome for android is supported<br>- Chrome for iOS is supported</td></tr><tr><td>Firefox</td><td>- Always the latest 3 Versions (and the latest ESR Version)<br>- Firefox for android is supported<br>- Firefox for iOS is supported<br>- Firefox Focus is supported</td></tr><tr><td>Safari</td><td>- Supported, starting with Safari 14<br>- Safari for iOS is supported</td></tr><tr><td>Edge</td><td>- Always the latest 3 versions (and the last EdgeHTML version)<br>- Edge for android is supported<br>- Edge for iOS is supported</td></tr><tr><td>Other browsers</td><td>- Opera (latest 3 versions)<br>- Samsung browser (latest 3 versions)<br>- Huawei browser (latest 3 versions)</td></tr><tr><td>Special Environments</td><td>- <a href="https://amp.dev/documentation/components/amp-3q-player">Google AMP</a> (via Plugin and iFrame)<br>- Facebook Instant Articles (iFrame)</td></tr></tbody></table>

## Disclaimer <a href="#page_disclaimer" id="page_disclaimer"></a>

Copyright (C) 2009 - 2026, 3Q GmbH, Munich, Europe, All Rights Reserved. This source code and its use and distribution, is subject to the terms and conditions of the applicable license agreement. More information on [www.3q.video](http://www.3q.video/)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://player.docs.3q.video/player-web-sdk/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
